cadubi(1)

 others.

NAME
cadubi - Creative ASCII Drawing Utility By Ian

DESCRIPTION
cadubi is an application written in Perl that allows you to draw text-based images that are viewable on typical UNIX-based consoles. Usually the applications that emulate these consoles support various text modes, such as background and foreground colors, bold, and inverse. This text art, commonly called "ASCII art", is used in various places such as online BBSes, email and login prompts.

OPTIONS

-h --help
    display some documentation

-m --mute
    turn off beeping

-s [ W ] [ H ]

--size [ W ] [ H ]
    sets the size of the console for use with cadubi, where W is number of columns and H is number of rows.

-v --version
    show cadubi's version

CONFIGURING
Beeping and command line options can be also set in /usr/bin/cadubi.

KEYBOARD

i j k l
    Move the cursor around. Holding down shift and typing these keys will move the ursor five spaces instead of one.

space
    Paint the current pen on the screen.

return/enter
    Move the cursor down one line and all the way to the left of the console.

delete  or  backspace  or  `
    Delete the character before the cursor.

p   Prompt for a pen character

f   Prompt for foreground color (see section colors).

b   Prompt for background color (see section colors).

g   Toggle bold mode.

v   Toggle inverse mode.

shift-w
    Toggle blink (highly annoying).

t   Enter text mode. This allows you to type like as if you were using a normal text editor, and all the characters drawn onscreen will use the same mode as the pen Pressing Esc will exit text mode.

control-w
    Refresh the entire screen by redrawing each character.

control-r
    Open a file.

control-o
    Save the file.

control-h
    Show the quick help screen.

control-x
    Exit cadubi.

USING
Cadubi has a 'pen' which describes the current mode. Properties of the pen are the painting character, foreground color, background color, bold, inverse, and blink. Whenever you paint or use the text mode, the characters drawn on the screen will have the properties of the pen. The current mode of the pen is shown at the bottom of the console and is what will be drawn on screen when you paint. Typically, foreground text colors are the same as background colors, unless the text is bold. If the text is bold, foreground colors are usually lighter than the background color, making text easier to read when the text has the same foreground and background color. Refer to the Quick Help (control-'h') to see what the colors look like on your console.

Text mode is an extremely useful feature. Once in the text mode you can type as if you were using a normal text editor, and all the characters drawn onscreen will use the same mode as the pen. To enter text mode, press the 't' key. To exit, press escape.

When cadubi reads a file, it will only read as much that will fit in the workspace (the area of the console minus the bottom row [status bar]). To gain more workspace, see the '-s' operator in section "options".

Cadubi optimizes its output files to display properly and take up as little space as possible. All cadubi output can be viewed with the 'cat' utility.

COLORS
The color codes are case-insensitive. The following color codes can be chosen as fore- or background colors:

    0 or N - Normal (standard text)

    1 or W - White

    2 or R - Red

    3 or G - Green

    4 or Y - Yellow

    5 or B - Blue

    6 or M - Magenta

    7 or C - Cyan

    8 or K - Black

WARNING
Cadubi uses escape sequences for things like color. These may differ from system to system. This means that the file generated by cadubi may trash your console when viewed with for example cat. It is generally safe to use the files on the same type of console as they were generated on.

AUTHORS
Cadubi was created and is currently being maintained by Ian Langworth. Please send all questions, comments, hate mail and bug reports to ian@langworth.com

SEE ALSO
The "Keyboard and Console HOWTO" and the "Text Terminal HOWTO" from the Linuxdoc project (www.linuxdoc.org). Both are available in a Debian GNU/Linux system by installing the doc-linux-text package at /usr/share/doc/HOWTO/en-txt/Keyboard-and-Console-HOWTO.gz and /usr/share/doc/HOWTO/en-txt/Text-Terminal-HOWTO.gz respectively.

This man page was copy-pasted from other documentation by Abel Daniel (abli@mailbox.hu) for the Debian GNU/Linux distributions, but can be used by others.